from folkugat_web.model import temes as model

TEMES = [
    # ---
    model.Tema(
        title="El Joan Petit",
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Pasdoble de Muntanya (Cançó amb el nom molt llarg)",
        links=[
            model.Link(
                type=model.LinkType.AUDIO,
                subtype=model.LinkSubtype.SPOTIFY,
                url="https://open.spotify.com/track/4j9Krf19c5USmMvVUCoeWa?si=3023d1d83f814886",
            ),
        ],
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Astrid Waltz",
        alternatives=["vals"],
        links=[
            model.Link(
                type=model.LinkType.OTHER,
                subtype=None,
                url="https://marc.sastre.cat/folkugat",
            )
        ],
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Ook Pik Waltz",
        alternatives=["vals"],
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Pasdoble Patumaire",
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="El Gitano",
        links=[
            model.Link(
                type=model.LinkType.SCORE,
                subtype=model.LinkSubtype.PDF,
                url="/db/temes/1/tema.pdf",
            )
        ],
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Pasdoble de Gitanes",
        alternatives=["entrada"],
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Jota Comunera",
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Malaguenya de Barxeta",
        lyrics=[
            model.Lyrics(
                title="Malaguenya de Barxeta",
                content="""
Mira si he corregut terres
que he estat en Alfarrasí,
en Adzaneta i Albaida,
en el Palomar i ací.

Omplim el sarró de pa,
si vols que et guarde les cabres,
que les figues ja s'acaben
i raïm ja no hi ha.

L'altre dia jo somiava
que ja era realitat
un món sense violència
ple de pau i llibertat.

Vinc del cor de la Costera,
el poble dels socarrats,
d'allà on renaix de les cendres
el meu País Valencià.
            """.strip(),
            ),
        ],
        properties=[
            model.Property(
                model.PropertyField.AUTOR,
                "Pep Jimeno 'Botifarra'"
            )
        ],
        hidden=False,
    ).with_ngrams(),
]
